View Issue Details

IDProjectCategoryView StatusLast Update
0015644LazarusLCLpublic2011-12-01 11:23
ReporterSENAssigned ToPaul Ishenin 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0015644: unsupported BMP file in bitmap
Descriptionunsupported BMP file in bitmap.
Additional InformationImage1.Picture.LoadFromFile('./tests.bmp');
TagsNo tags attached.
Fixed in Revision23615
LazTarget0.9.30
Widgetset
Attached Files

Relationships

related to 0015631 closedPaul Ishenin TImage fail to display BMP picture on LoadFromFile method 
related to 0015643 closedLuiz Americo Transparency is lost after add to a image list a bitmap created with LoadFrowRawImage 

Activities

2010-02-01 12:22

 

tests.bmp (1,191,688 bytes)

2010-02-01 13:22

 

pixelmap.bmp (6,582 bytes)
pixelmap.bmp (6,582 bytes)

SEN

2010-02-01 13:22

reporter   ~0034131

tests.bmp not correct...

user268

2010-02-01 20:53

  ~0034143

Related with 0015631.
Not supported 32bpp bitmaps.

Paul Ishenin

2010-02-03 09:40

manager   ~0034184

Yes, bitmaps are 32bpp and lazarus reads their alpha channel which = 0 for every pixel. As result images are loaded but they are fully transparent.

Probably 32bit bitmaps must be loaded opaque.

Paul Ishenin

2010-02-03 11:06

manager   ~0034187

Please test and close if ok.

user268

2010-02-03 18:47

  ~0034199

Problem is solved, thank you.

BTW, alpha channel is valuable only during picture manipulation, not during display.

Issue History

Date Modified Username Field Change
2010-02-01 12:22 SEN New Issue
2010-02-01 12:22 SEN File Added: tests.bmp
2010-02-01 13:22 SEN File Added: pixelmap.bmp
2010-02-01 13:22 SEN Note Added: 0034131
2010-02-01 20:53 user268 Note Added: 0034143
2010-02-03 09:40 Paul Ishenin Note Added: 0034184
2010-02-03 11:06 Paul Ishenin Fixed in Revision => 23615
2010-02-03 11:06 Paul Ishenin LazTarget => 0.9.30
2010-02-03 11:06 Paul Ishenin Status new => resolved
2010-02-03 11:06 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-02-03 11:06 Paul Ishenin Resolution open => fixed
2010-02-03 11:06 Paul Ishenin Assigned To => Paul Ishenin
2010-02-03 11:06 Paul Ishenin Note Added: 0034187
2010-02-03 11:06 Paul Ishenin Target Version => 0.9.30
2010-02-03 11:07 Paul Ishenin Relationship added related to 0015631
2010-02-03 18:47 user268 Note Added: 0034199
2010-02-03 20:50 Luiz Americo Relationship added related to 0015643
2011-12-01 11:23 Marc Weustink Status resolved => closed